Bug Hunting Session
Bug 54959 - EDITING: Alt-Cursour-left/right/up/Down commands apply to frame instead to drawing objects inside a frame
Summary: EDITING: Alt-Cursour-left/right/up/Down commands apply to frame instead to dr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Frame
  Show dependency treegraph
 
Reported: 2012-09-15 10:04 UTC by StefanL38
Modified: 2019-12-03 14:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
ODF-File with frame and objects & screenshots of what is the bug and what should be (216.26 KB, application/vnd.oasis.opendocument.text)
2012-09-15 10:04 UTC, StefanL38
Details

Note You need to log in before you can comment on or make changes to this bug.
Description StefanL38 2012-09-15 10:04:00 UTC
Created attachment 67200 [details]
ODF-File with frame and objects & screenshots of what is the bug and what should be

Problem description: 

Steps to reproduce:
1. Open a new document in writer
2. insert a frame
3. insert a drawing-object like a rectangle, line etc INSIDE the frame
4. select the drawing-object
5. keep Alt-key pressed down (for moving the object in small steps) the press key cursor left/right up/down 

Current behavior:
the whole frame is moved around instead of the selected drawing-object

Expected behavior:
just the selected drawing-object should be moved around

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:15.0) Gecko/20100101 Firefox/15.0.1
Comment 1 pierre-yves samyn 2012-09-16 11:39:52 UTC
Hello

I reproduce with Version 3.6.2.1 (Build ID: ba822cc) & Windows 7 64bits

It seems that this is not new (already present in version OOo 3.2.1)

Regards
Pierre-Yve
Comment 2 A (Andy) 2013-02-24 12:52:25 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)
Comment 3 A (Andy) 2015-02-13 11:12:52 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 4 QA Administrators 2016-02-21 08:37:02 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:42:31 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:06:14 UTC
Dear StefanL38,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug